Support » Plugin: Make Paths Relative » Compatibility issue between “Yoast SEO” and “Make Paths Relative”

  • Resolved mrmaby

    (@mrmaby)


    Hello,

    Since the update of the yoast SEO plugin to version 16.4, there is a conflict with “Make Paths Relative” and we can no longer edit posts.

    The following error message is displayed :`

    TypeError: Cannot read property 'toLowerCase' of undefined
        at o.value (http://..../wp-content/plugins/wordpress-seo/js/dist/externals/socialMetadataForms-1640.js:1:11100)
        at Ie (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:104:8)
        at rh (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:103:334)
        at zj (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:228:490)
        at Th (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:223)
        at tj (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:152)
        at Te (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:146:151)
        at http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:61:68
        at unstable_runWithPriority (http://..../wp-includes/js/dist/vendor/react.min.js?ver=16.13.1:25:260)
        at Da (http://..../wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:60:280)

    Please help

    Thanks in advance

Viewing 15 replies - 1 through 15 (of 16 total)
  • Hi, i found this issue too. Is there a change this will be fixed?

    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    Hi @mrmaby @pcarvalho Sorry I didn’t check this issue earlier. I will check this issue.

    Just a question that you guys are seeing this issue in Post edit only, right?

    Thanks and Regards,
    Sami

    Thread Starter mrmaby

    (@mrmaby)

    Hi @sasiddiqui

    Yes, that i have noticed

    Thanks in advance to provide a new fixed version

    thanks for looking into this. and yes, just posts

    Hi.

    We are facing same problem with big webpage installation.
    Is there coming any fix for this?
    Plugins and WP are uptodate.

    Thank you!

    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    Hi @samisinkko @pcarvalho @mrmaby

    I have checked but I am not getting any issue in post edit. I am using latest version of the Yoast SEO plugin v16.6.1 whereas I am seeing an issue on Sitemap.

    Can anyone please share a screenshot if getting an issue post edit?

    Regards,
    Sami

    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    Hi @samisinkko @pcarvalho @mrmaby

    I have fixed the relative URLs issue in Yoast SEO sitemap and released the v1.2.0. Please update the plugin and let me know if any of you having any issue.

    Thanks and Regards,
    Sami

    Thread Starter mrmaby

    (@mrmaby)

    Hi @sasiddiqui

    Thank you for the fix

    I updated the plugin and It’s okay for me now

    • This reply was modified 2 months, 2 weeks ago by mrmaby.
    Thread Starter mrmaby

    (@mrmaby)

    Hi @sasiddiqui

    The problem is fixed for the sitemap but persists for the article editing

    Please give a fix to it

    • This reply was modified 2 months, 1 week ago by mrmaby.
    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    @mrmaby I am not getting issue on editing the post. Can you please share a screenshot?

    Which editor you are using? Classic Editor, GutenBerg etc

    Thanks,
    Sami

    ashleynexvelsolutions

    (@ashleynexvelsolutions)

    I think I’m having the same issue. I updated to version 1.2.0. When there’s something in Site Address in the plugin’s settings I don’t seem to have the issue editing posts. It’s only when that field is left blank. @sasiddiqui

    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    @ashleynexvelsolutions Thank you for reaching out. I have checked the settings on my end, Site Address in the plugin’s settings is empty for me.

    On the post edit, I am using GutenBerg as a Editor and not seeing any issue.

    Can you please do the following things?

    1. Can you please share a screenshot of the error on post edit page?
    2. Which Editor are you using?
    3. Is your site_url() is different than the Site Address? You can check the site_url() from WordPress Dashboard by going to Settings > General and check the Site Address there.

    Thanks and Regards,
    Sami

    ashleynexvelsolutions

    (@ashleynexvelsolutions)

    Well that’s strange. Now I’m back to having the error all the time, no matter if there’s something in Site Address or not.

    1. There’s the screenshot: https://paste.pics/875264e9015cf89b9f28a0ac441782ab. When I hit “Copy Error” and paste it into my text editor this is what it says:

    TypeError: Cannot read property 'toLowerCase' of undefined
        at o.value (https://backend-gatsby.mmklawfirm.com/wp-content/plugins/wordpress-seo/js/dist/externals/socialMetadataForms-1670.js:1:11100)
        at Ie (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:104:8)
        at rh (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:103:334)
        at zj (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:228:490)
        at Th (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:223)
        at tj (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:152)
        at Te (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:146:151)
        at https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:61:68
        at unstable_runWithPriority (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react.min.js?ver=16.13.1:25:260)
        at Da (https://backend-gatsby.mmklawfirm.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:60:280)

    2. I’m using Gutenberg on that site.

    3. They’re the same. Settings > General screenshot: https://paste.pics/12e692af96cda389edd3c92867eb5313. The plugin’s settings screenshot: https://paste.pics/f981afd30294b75d1dad227518970eff

    OK I changed it to something different https://paste.pics/be054b1842b3c9ce62736c36520f1f91 and post editing came back after I did that https://paste.pics/48add79249c2b77219b7cc6c093ee16d. But of course that’s not really correct. When I either have the Site Address matching site_url() or when I leave that field blank the error occurs.

    @sasiddiqui

    Hi @sasiddiqui and everyone!

    i get an error that says:

    An error occurred while running 'mapSelect': URL constructor: /news-insights/ is not a valid URL. 2 data.min.js:2:30632
    TypeError: t is undefined
        value 
    [...]
        https://[...]/wp-includes/js/dist/data.min.js?ver=943087ae96d075f126df689839bb96b9:2
        dispatch https://[...]/wp-includes/js/dist/data.min.js?ver=943087ae96d075f126df689839bb96b9:2
        Redux 8
    react-dom.min.js:125:24

    if i toggle off one of these two plugins, the post editor works. Other CPTs and even pages work just fine.

    as @ashleynexvelsolutions tested, i tried the same and got the same results. if i use the matching domain or leave it empty, i get the post edit error.

    but if i use a different domain, it shows, but the paths aren’t relative anymore.

    some info:

    
    ### wp-core ###
    
    version: 5.7.2
    site_language: en_US
    user_language: en_US
    
    ### wp-dropins (1) ###
    
    advanced-cache.php: true
    
    ### wp-plugins-active (17) ###
    
    Accordion Blocks: version: 1.3.5, author: Phil Buchanan, Auto-updates disabled
    [snip]
    Better Search Replace: version: 1.3.4, author: Delicious Brains, Auto-updates disabled
    Category Order and Taxonomy Terms Order: version: 1.5.7.6, author: Nsp-Code, Auto-updates disabled
    CMB2: version: 2.9.0, author: CMB2 team, Auto-updates disabled
    CMB2 Field Type: Attached Posts: version: 1.2.7, author: WebDevStudios, Auto-updates disabled
    CMB2 Field Type: Select2: version: 3.0.3, author: Phil Wylie, Auto-updates disabled
    Disable Comments: version: 2.1.2, author: WPDeveloper, Auto-updates disabled
    Make Paths Relative: version: 1.2.0, author: YAS Global Team, Auto-updates disabled
    Redirection: version: 5.1.1, author: John Godley, Auto-updates disabled
    Safe SVG: version: 1.9.9, author: Daryll Doyle, Auto-updates disabled
    Smush: version: 3.8.7, author: WPMU DEV, Auto-updates disabled
    Subscribe To Unlock Lite: version: 1.1.6, author: WP Shuffle, Auto-updates disabled
    Yoast SEO: version: 16.7, author: Team Yoast, Auto-updates disabled
    
    ### wp-media ###
    
    image_editor: WP_Image_Editor_Imagick
    imagick_module_version: 1687
    imagemagick_version: ImageMagick 6.9.7-4 Q16 x86_64 20170114 http://www.imagemagick.org
    file_uploads: File uploads is turned off
    post_max_size: 100M
    upload_max_filesize: 50M
    max_effective_size: 50 MB
    max_file_uploads: 20
    imagick_limits: 
    	imagick::RESOURCETYPE_AREA: 137 MB
    	imagick::RESOURCETYPE_DISK: 1073741824
    	imagick::RESOURCETYPE_FILE: 6144
    	imagick::RESOURCETYPE_MAP: 512 MB
    	imagick::RESOURCETYPE_MEMORY: 256 MB
    	imagick::RESOURCETYPE_THREAD: 1
    gd_version: 2.2.5
    ghostscript_version: unknown
    
    ### wp-server ###
    
    server_architecture: Linux 5.3.0-1032-gcp x86_64
    
    httpd_software: Apache
    php_version: 7.4.18 64bit
    
    php_sapi: apache2handler
    max_input_variables: 10000
    time_limit: 3600
    memory_limit: 512M
    max_input_time: 3600
    upload_max_filesize: 50M
    php_post_max_size: 100M
    curl_version: 7.58.0 OpenSSL/1.1.1
    suhosin: false
    imagick_availability: true
    pretty_permalinks: true
    htaccess_extra_rules: false
    
    ### wp-database ###
    
    extension: mysqli
    server_version: 5.7.34-37-log
    client_version: mysqlnd 7.4.18
    
    ### wp-constants ###
    
    [snip]
    WP_MEMORY_LIMIT: 40M
    WP_MAX_MEMORY_LIMIT: 512M
    WP_DEBUG: false
    WP_DEBUG_DISPLAY: false
    WP_DEBUG_LOG: false
    SCRIPT_DEBUG: false
    WP_CACHE: true
    CONCATENATE_SCRIPTS: undefined
    COMPRESS_SCRIPTS: undefined
    COMPRESS_CSS: undefined
    WP_LOCAL_DEV: undefined
    DB_CHARSET: utf8
    DB_COLLATE: utf8_unicode_ci
    

    thanks for keep looking into this.

    • This reply was modified 2 months, 1 week ago by pcarvalho.
    Plugin Author Sami Ahmed Siddiqui

    (@sasiddiqui)

    @mrmaby @ashleynexvelsolutions @pcarvalho Thank you all for raising and troubleshooting this issue with me.

    I have generated this issue at my end (Only because of your help), fixed and released a new version (1.2.1). Please update to the latest version and let me know your feedback.

    Thanks and Regards,
    Sami

Viewing 15 replies - 1 through 15 (of 16 total)
  • You must be logged in to reply to this topic.